Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 0.21.8

Bug #16595 Inkompatibility to current version of PHP
Submitted: 2009-09-11 13:34 UTC Modified: 2009-10-04 00:53 UTC
From: sebi82 Assigned: kguest
Status: Closed Package: Date_Holidays (version 0.21.4)
PHP Version: 5.3.0 OS: Windows XP SP2
Roadmaps: 0.21.5    
Subscription  


 [2009-09-11 13:34 UTC] sebi82 (Sebastian Gohres)
Description: ------------ In Holidays.php line 365 you should replace $errorClass = get_class($data); by $errorClass = get_class((Object)$data); in order to solve error messages like warning: get_class() expects parameter 1 to be object, xxx given [...]

Comments

 [2009-09-14 03:55 UTC] doconnor (Daniel O'Connor)
if (!is_object($data)) { return false; } is a better solution.
 [2009-09-14 03:55 UTC] doconnor (Daniel O'Connor)
-Status: Open +Status: Verified
 [2009-09-18 10:00 UTC] kguest (Ken Guest)
-Assigned To: +Assigned To: kguest
 [2009-10-04 00:53 UTC] kguest (Ken Guest)
-Status: Verified +Status: Closed
This bug has been fixed in SVN. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.